xml地图|网站地图|网站标签 [设为首页] [加入收藏]

皇家娱乐游戏:Unexpected怎么解决,函数报错

来源:http://www.ccidsi.com 作者:集成经验 人气:79 发布时间:2019-10-04
摘要:很想获得,程序在该地一样的服务器软件下正规运作的,传上后报错: 在php5.3情状下运维,常常会并发 Ecshop是个坑爹货,为何tiandi会说它是个坑爹货呢,请看一下底下的合法的运维境遇

很想获得,程序在该地一样的服务器软件下正规运作的,传上后报错:

在php5.3情状下运维,常常会并发

Ecshop是个坑爹货,为何tiandi会说它是个坑爹货呢,请看一下底下的合法的运维境遇推荐:

syntax error, unexpected '[' 第47行,

 Deprecated: Function ereg() is deprecated in...和Deprecated: Function ereg_replace() is deprecated in...那几个种类的报错提示。

劳务器端运转景况推荐
·php版本5.0上述5.3之下的本子(推荐应用5.2多元版本)
·Mysql版本5.0及以上
·空间安装zend
·空间支撑文件锁成效
·开启GD功能
·Mysql函数支持mbstring、iconv、fsockopen
见到了吗,PHP5.3以下的本子,还推荐使用5.2的,尼妹的,今后哪位设想机还敢用5.3之下的本子?还在用5.3以下的版本?看看tiandi用的2四个主机,衡天的和wopus的都以5.3.28,至于为什么不用5.3以下的版本,自身google”php内部存款和储蓄器败露”。

检核对应行,写的是贰个询问数组的四个值

  其原因在于:php5.3以上的本子不协助ereg()函数,而是使用preg_match()函数;不支持ereg_replace()函数,而使用preg_replace()函数。

Ecshop上月刚更新了新型版本,写代码的笔触照旧坚挺,还是选择5.2本子,好呢,为了做一些测验,供给在本机上进展调度,但本机上装了wp3.9,忘了从哪些版本开始wp只资助5.3以上的php,所以本机的PHP境况是5.4.13。初始,做了四个批管理来切换php5.2.1和php5.4.13,然后发掘平昔用批管理切换也累啊,索性直接5.4.13上跑ecshop看看哪个地方至极就改哪个地方吧,结蔬菜泥煤的首页间接来个谬误。

{$user=Cookie('user')['id']}

  缓和格局:将不帮助的函数修改为援助的函数就可以。  

Strict Standards: Only variables should be passed by reference in D:\tiandiyoyo\hengtian\ecshop\upload\includes\cls_template.php on line 424

留神检查了一晃,本地上运维的是PHP 5.6N,服务器上运维的是PHP5.3N,或许与PHP版本有关,退换版本后当真平常了。

      例如

不淡定了,展开cls_template.php,定位到424行,开掘上面内容:

新兴才晓得PHP5.4以下不支持这种写法,改为:

 

 代码如下

$user=Cookie('user');
$user['id'];

复制代码 代码如下:

$tag_sel = array_shift(explode(' ', $tag));

再测量检验开掘一切平常,相当的大概PHP 5.4以下不补助$str[0][0]这种写法,有相逢同样题指标相恋的人不妨试一下。

 if(eregi('^('value', $value)

将其注释掉,分别拆开,增多两行

  改为:

 代码如下

本文由68399皇家赌场发布于集成经验,转载请注明出处:皇家娱乐游戏:Unexpected怎么解决,函数报错

关键词: 68399皇家赌场

上一篇:n的末位数字

下一篇:没有了

最火资讯